Package org.jmock.util

# Class Dummy

java.lang.Object
org.jmock.util.Dummy

public class Dummy extends Object
Deprecated.
Use MockObjectTestCase.newDummy instead

Since:
  1.0

## Method Summary

Modifier and Type
Method
Description
`static Object`
`newDummy(Class interfaceClass)`
Deprecated.
`static Object`
`newDummy(Class interfaceClass, String name)`
Deprecated.
`static Object`
`newDummy(String name)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### newDummy

public static Object newDummy(Class interfaceClass)
Deprecated.

### newDummy

public static Object newDummy(Class interfaceClass, String name)
Deprecated.

### newDummy

public static Object newDummy(String name)
Deprecated.